import pytest

from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_doctor_api.web2_request import web2_request


class TestArtemisAddValueOrderIdDetail:
    data = BaseRequest().api_load(path_setting.VALUEORDERIDDETAIL)
    addvalueorderiddetail_case, addvalueorderiddetail_data = get_ids(data, "artemis_add_value_order_id_detail")


    @pytest.mark.parametrize("param",addvalueorderiddetail_data,ids=addvalueorderiddetail_case)
    def test_artemis_add_value_order_id_detail(self, param):
        '''我的服务订单-已购买'''
        r = web2_request().artemis_add_value_order_id_detail()
        if r["error"] == 0:
            assert r["data"]["status"] == param["assert"]



